## Name

TEE — Copy standard input to multiple output paths

## Synopsis

`tee` {`path`}

## Description

This command is a filter (see the section called “Pipes and Filters”) that copies all text lines from its standard input path to the standard output path and any number of additional output paths whose pathlists are given as parameters.

The example below uses a pipeline and tee to simultaneously send the output listing of the dir command to the terminal, printer, and a disk file:

    dir e ! tee /printer /d0/dir.listing

The following example sends the output of an assembler listing to a disk file and the printer:

    asm pgm.src l ! tee pgm.list >/printer

The example below “broadcasts” a message to four terminals:

    echo WARNING System down in 10 minutes ! tee /t1 /t2 /t3 /t4